[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: F7 Zope package



Josh Boyer wrote:
On Tue, 2007-05-08 at 14:36 +0200, Hans de Goede wrote:
seth vidal wrote:
On Tue, 2007-05-08 at 12:58 +0200, Hans de Goede wrote:


What ever happend to a package is ok, as long as it is free software, not legally encumbered and someone is willing to maintain it?

It's not that simple of a rule. There's also:
 "Don't create agonizing pain for others by the addition of a package."

There has been presented exactly 0 proof that providing python2.4 packages (espicially under a different name) cause "agonizing pain for others"

And there's been 0 proof that it won't.  Proof, one way or another,only
comes after the fact.


okay, so maybe proof is the wrong word, but there have been little to no arguments presented for this, and 0 arguments with proper explanation / reasoning added.

As long as there is no proper motivation (which sofar has not been shown IMHO) and someone is willing to maintain a python2.4 (under a different name even), then I see noe reason to inflict pain upon our users. Proven pain even, not potentially maybe pain like the arguments against shipping a python-compat for zope.

Again I have no use for zope whatsoever myself. But I see a serious lack of respect for our end users here. If there are good reasons not to include python2.4, then its perhaps unfortunate but ok to leave zope out. But first give good reasons then, with proper explanation. not just: "that could cause potential problems" mumbo jumbo.

I guess in the end it boils down to are we doing a distro for developers only, or for normal (not minding to be on the cutting edge) users too?

Regards,

Hans


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]